> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Imports stores including opening hours. Introduced for DataImport service.



## OpenAPI

````yaml openapi/store-v3.json POST /v3/Stores/import/data-import
openapi: 3.0.4
info:
  title: StoreApi - V3
  version: v3
servers:
  - url: https://{host}/store
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - oauth2: []
paths:
  /v3/Stores/import/data-import:
    post:
      tags:
        - Service2Service
      summary: >-
        Imports stores including opening hours. Introduced for DataImport
        service.
      parameters:
        - name: mode
          in: query
          description: ''
          schema:
            $ref: '#/components/schemas/ImportMode'
      requestBody:
        description: ''
        content:
          application/json-patch+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/ImportStoreRequest'
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/ImportStoreRequest'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/ImportStoreRequest'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/ImportStoreRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportResult'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebServiceError'
components:
  schemas:
    ImportMode:
      enum:
        - Incremental
        - Full
      type: string
    ImportStoreRequest:
      type: object
      properties:
        id:
          type: string
          nullable: true
        alternateIds:
          type: string
          description: Alternative store identifiers
          nullable: true
        name:
          type: string
          description: Store name
          nullable: true
        registrationNumber:
          type: string
          description: Store Registration (VAT) number
          nullable: true
        phone:
          type: string
          description: Store phone number
          nullable: true
        email:
          type: string
          description: Store contact email
          nullable: true
        country:
          type: string
          description: Country, where store is located
          nullable: true
        city:
          type: string
          description: City, where store is located
          nullable: true
        street:
          type: string
          description: Street, where store is located
          nullable: true
        streetNumber:
          type: string
          description: Street number, where store is located
          nullable: true
        postalCode:
          type: string
          description: Store postal code
          nullable: true
        latitude:
          type: number
          description: >-
            Store geographical latitude coordinate. Should be specified together
            with StoreApi.Models.v3.Service2Service.ImportStoreRequest.Longitude
          format: double
          nullable: true
        longitude:
          type: number
          description: >-
            Store geographical longitude coordinate. Should be specified
            together with
            StoreApi.Models.v3.Service2Service.ImportStoreRequest.Latitude
          format: double
          nullable: true
        chainId:
          type: string
          description: Identifier of chain to which store belongs
          nullable: true
        status:
          type: string
          description: 'Status of the store: Active/Closed'
          nullable: true
        storeType:
          type: string
          description: 'Type of the store: Public/Internal'
          nullable: true
        timeZone:
          type: string
          description: Store timezone
          nullable: true
        monday:
          type: string
          nullable: true
        tuesday:
          type: string
          nullable: true
        wednesday:
          type: string
          nullable: true
        thursday:
          type: string
          nullable: true
        friday:
          type: string
          nullable: true
        saturday:
          type: string
          nullable: true
        sunday:
          type: string
          nullable: true
      additionalProperties: false
    ImportResult:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/WebServiceError'
          nullable: true
      additionalProperties: false
    WebServiceError:
      required:
        - message
        - name
      type: object
      properties:
        name:
          minLength: 1
          type: string
        message:
          minLength: 1
          type: string
        details:
          nullable: true
      additionalProperties: false
  securitySchemes:
    oauth2:
      type: apiKey
      name: Authorization
      in: header

````